package com.DevAsh.cpu_usage;

import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.common.MethodChannel.MethodCallHandler;
import io.flutter.plugin.common.MethodChannel.Result;
import io.flutter.plugin.common.PluginRegistry.Registrar;
import android.app.ActivityManager.MemoryInfo;
import android.app.ActivityManager;
import android.app.Activity;
/** CpuUsagePlugin */
public class CpuUsagePlugin implements MethodCallHandler {
  /** Plugin registration. */

  Activity activity;
  CpuUsagePlugin(Activity activity){
    this.activity=activity;
  }
  public static void registerWith(Registrar registrar) {
    final MethodChannel channel = new MethodChannel(registrar.messenger(), "cpu_usage");
    channel.setMethodCallHandler(new CpuUsagePlugin(registrar.activity()));
  }

  @Override
  public void onMethodCall(MethodCall call, Result result) {
    if (call.method.equals("getPlatformVersion")) {
      result.success("Android " + android.os.Build.VERSION.RELEASE);
    } else if(call.method.equals("getRamUsage")){
      MemoryInfo mi = new MemoryInfo();
      ActivityManager activityManager = (ActivityManager) activity.getSystemService(activity.ACTIVITY_SERVICE);
      activityManager.getMemoryInfo(mi);
      long availableMegs = mi.availMem / 1048576L;
      result.success(availableMegs);

    } else {
      result.notImplemented();
    }
  }


  
}
